This is a hook script of [dehydrated](https://github.com/lukas2511/dehydrated) (former name was letsencrypt.sh) for Zope backends.

First, you need to prepare the target Zope folder beforehand so that URL like http://example.com/.well-known/acme-challenge/xxx works.
For example, you can create ".well-known/acme-challenge" in skin folder.

Next, you need to provide Zope's username and password in ~/.netrc like :

```text
machine www.example.com
login zope_username
password zope_password

machine example.com
login zope_username
password zope_password

machine another.example.com
login zope_username
password zope_password
```

You need to prepare "config" file like :
```text
# See https://github.com/lukas2511/dehydrated/blob/master/docs/examples/config for other parameters.
#
# We can use any local directory for storing challenge string temporarily.
WELLKNOWN="${BASEDIR}"
# We use a special hook script for zope.
HOOK="${BASEDIR}/zope-hook.sh"
#This is needed to call hook
HOOK_CHAIN=yes
```

You also need "domains.txt" like :
```text
www.example.com example.com
another.example.com
```

Now you can invoke the script like :

```text
./dehydrated -c
```

And if you have any problems, read [Troubleshooting](https://github.com/lukas2511/dehydrated/blob/master/docs/troubleshooting.md) and read ``dehydrated`` source code.
